FORUMS
Remove All Ads from XDA

[TOOL][WIN/LINUX/MAC] Xiaomi Flashable Firmware Creator (GUI/CLI)

2,839 posts
Thanks Meter: 6,445
 
Post Reply Email Thread
Announcement from yshalsager: GUI version is now available, check it!
8th March 2019, 07:16 PM |#21  
Junior Member
Flag Rumia
Thanks Meter: 0
 
More
Can anyone help me ?? - Qualcomm HS-USB QDLoader 9008 I have already checked several files through the firehose protocol. . always gets this information:
Connecting to phone ... OK
Waiting for response ... OK
Init Handshake Sequence ... OK
Hardware ID: E1E00500 [8998] 0000AB00
OPK_DATA: 8E899747B6DA00F4ADDC9E78F67F2A8E8E75E494C30ADAA247 A3145D566526A5
Initializing Protocol ... OK
Sending Loader [prog_ufs_firehose_8998_ddr_xiaomi.elf] ... Error.
19th March 2019, 11:38 PM |#22  
and-roid007's Avatar
Senior Member
Flag mashhad
Thanks Meter: 202
 
More
@yshalsager
when i try to create a flashable firmware from miui beta rom(that is downloaded from xiaomi.eu website) it failed.i'm on Windows 10 64bit and python 3 is installed.
although firmware.zip is created in the directory but anyway this is the powershell error:

PS C:\createflashablezip> .\create_flashable_firmware.exe -F .\xiaomi.eu_multi_MI8_9.3.14_v10-9.zip
Unzipping MIUI..
Generating updater-script..
Creating firmware zip from .\xiaomi.eu_multi_MI8_9.3.14_v10-9.zip for dipper
Traceback (most recent call last):
File "create_flashable_firmware.py", line 218, in <module>
File "create_flashable_firmware.py", line 214, in main
File "create_flashable_firmware.py", line 175, in make_zip
FileNotFoundError: [WinError 3] The system cannot find the path specified: 'firmware.zip' -> 'fw_dipper_.\\xiaomi.eu_multi_MI8_9.3.14_v10-9.zip'
[9096] Failed to execute script create_flashable_firmware


and with -N switch :
PS C:\createflashablezip> .\create_flashable_firmware.exe -N .\xiaomi.eu_multi_MI8_9.3.14_v10-9.zip
Unzipping MIUI..
Traceback (most recent call last):
File "shutil.py", line 544, in move
FileNotFoundError: [WinError 2] The system cannot find the file specified: 'tmp/firmware-update/' -> 'out/firmware-update/'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "create_flashable_firmware.py", line 218, in <module>
File "create_flashable_firmware.py", line 201, in main
File "create_flashable_firmware.py", line 73, in firmware_extract
File "shutil.py", line 558, in move
File "shutil.py", line 257, in copy2
File "shutil.py", line 120, in copyfile
FileNotFoundError: [Errno 2] No such file or directory: 'tmp/firmware-update/'
[2460] Failed to execute script create_flashable_firmware
20th March 2019, 06:21 AM |#23  
yshalsager's Avatar
OP Recognized Developer
Flag Cairo
Thanks Meter: 6,445
 
Donate to Me
More
Quote:
Originally Posted by and-roid007

@yshalsager
when i try to create a flashable firmware from miui beta rom(that is downloaded from xiaomi.eu website) it failed.i'm on Windows 10 64bit and python 3 is installed.
although firmware.zip is created in the directory but anyway this is the powershell error:


PS C:\createflashablezip> .\create_flashable_firmware.exe -F .\xiaomi.eu_multi_MI8_9.3.14_v10-9.zip
Unzipping MIUI..
Generating updater-script..
Creating firmware zip from .\xiaomi.eu_multi_MI8_9.3.14_v10-9.zip for dipper
Traceback (most recent call last):
File "create_flashable_firmware.py", line 218, in <module>
File "create_flashable_firmware.py", line 214, in main
File "create_flashable_firmware.py", line 175, in make_zip
FileNotFoundError: [WinError 3] The system cannot find the path specified: 'firmware.zip' -> 'fw_dipper_.\\xiaomi.eu_multi_MI8_9.3.14_v10-9.zip'
[9096] Failed to execute script create_flashable_firmware


and with -N switch :
PS C:\createflashablezip> .\create_flashable_firmware.exe -N .\xiaomi.eu_multi_MI8_9.3.14_v10-9.zip
Unzipping MIUI..
Traceback (most recent call last):
File "shutil.py", line 544, in move
FileNotFoundError: [WinError 2] The system cannot find the file specified: 'tmp/firmware-update/' -> 'out/firmware-update/'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "create_flashable_firmware.py", line 218, in <module>
File "create_flashable_firmware.py", line 201, in main
File "create_flashable_firmware.py", line 73, in firmware_extract
File "shutil.py", line 558, in move
File "shutil.py", line 257, in copy2
File "shutil.py", line 120, in copyfile
FileNotFoundError: [Errno 2] No such file or directory: 'tmp/firmware-update/'
[2460] Failed to execute script create_flashable_firmware

Try this https://forum.xda-developers.com/sho...70&postcount=2
20th March 2019, 04:02 PM |#24  
and-roid007's Avatar
Senior Member
Flag mashhad
Thanks Meter: 202
 
More
Quote:
Originally Posted by yshalsager

Try this https://forum.xda-developers.com/sho...70&postcount=2

still not working:
Unzipping MIUI..
Traceback (most recent call last):
File "C:\Program Files\Python37\lib\shutil.py", line 563, in move
os.rename(src, real_dst)
FileNotFoundError: [WinError 2] The system cannot find the file specified: 'tmp/firmware-update/' -> 'out/firmware-update/'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\createflashablezip\create_flashable_firmware.p y", line 216, in <module>
main()
File "C:\createflashablezip\create_flashable_firmware.p y", line 199, in main
firmware_extract()
File "C:\createflashablezip\create_flashable_firmware.p y", line 74, in firmware_extract
move('tmp/firmware-update/', 'out/firmware-update/')
File "C:\Program Files\Python37\lib\shutil.py", line 577, in move
copy_function(src, real_dst)
File "C:\Program Files\Python37\lib\shutil.py", line 263, in copy2
copyfile(src, dst, follow_symlinks=follow_symlinks)
File "C:\Program Files\Python37\lib\shutil.py", line 120, in copyfile
with open(src, 'rb') as fsrc:
FileNotFoundError: [Errno 2] No such file or directory: 'tmp/firmware-update/'
20th March 2019, 04:12 PM |#25  
yshalsager's Avatar
OP Recognized Developer
Flag Cairo
Thanks Meter: 6,445
 
Donate to Me
More
Quote:
Originally Posted by and-roid007

still not working:

Unzipping MIUI..
Traceback (most recent call last):
File "C:\Program Files\Python37\lib\shutil.py", line 563, in move
os.rename(src, real_dst)
FileNotFoundError: [WinError 2] The system cannot find the file specified: 'tmp/firmware-update/' -> 'out/firmware-update/'

During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "C:\createflashablezip\create_flashable_firmware.p y", line 216, in <module>
main()
File "C:\createflashablezip\create_flashable_firmware.p y", line 199, in main
firmware_extract()
File "C:\createflashablezip\create_flashable_firmware.p y", line 74, in firmware_extract
move('tmp/firmware-update/', 'out/firmware-update/')
File "C:\Program Files\Python37\lib\shutil.py", line 577, in move
copy_function(src, real_dst)
File "C:\Program Files\Python37\lib\shutil.py", line 263, in copy2
copyfile(src, dst, follow_symlinks=follow_symlinks)
File "C:\Program Files\Python37\lib\shutil.py", line 120, in copyfile
with open(src, 'rb') as fsrc:
FileNotFoundError: [Errno 2] No such file or directory: 'tmp/firmware-update/'

I'll try to debug it soon. BTW what's your Windows language?
The Following User Says Thank You to yshalsager For This Useful Post: [ View ]
20th March 2019, 04:19 PM |#26  
and-roid007's Avatar
Senior Member
Flag mashhad
Thanks Meter: 202
 
More
Quote:
Originally Posted by yshalsager

I'll try to debug it soon. BTW what's your Windows language?

windows language is English,system locale and region format is Persian
1st April 2019, 06:26 PM |#27  
Senior Member
Thanks Meter: 37
 
More
does the tool work on miui 10 pie i created mine and it didnt boot, was stuck on the mi logo
1st April 2019, 06:46 PM |#28  
yshalsager's Avatar
OP Recognized Developer
Flag Cairo
Thanks Meter: 6,445
 
Donate to Me
More
Quote:
Originally Posted by fardeenah

does the tool work on miui 10 pie i created mine and it didnt boot, was stuck on the mi logo

The tool works, but Pie rom won't work without its firmware. Try flashing non-arb first then fw-less.
The Following User Says Thank You to yshalsager For This Useful Post: [ View ]
2nd April 2019, 05:39 AM |#29  
Senior Member
Thanks Meter: 37
 
More
I did flash both. Didn't work. I had to revert back to oreo. I flashed both the non arb and the fw less rom
15th May 2019, 06:58 AM |#30  
Junior Member
Thanks Meter: 1
 
More
futuretricks
thanks for this
The Following User Says Thank You to futuretricks For This Useful Post: [ View ] Gift futuretricks Ad-Free
11th June 2019, 08:55 PM |#31  
yshalsager's Avatar
OP Recognized Developer
Flag Cairo
Thanks Meter: 6,445
 
Donate to Me
More
I've updated the script to ignore vbmeta while creating firmware zip, this should enable devices that have avb enabled like violet to use XiaomiFirmwareUpdater releases normally.
The Following User Says Thank You to yshalsager For This Useful Post: [ View ]
Post Reply Subscribe to Thread

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes